PROJECT = "zhengzhouguorun"
VERSION = "9.9.9"

require "log"
require "sys"
require "http"
require "misc"
require "pins"
require "mipi_lcd_GC9503"
require "tp"
require "DemoStyle"


lvgl.init(function()
end, tp.input)

lvgl.disp_set_rotation(nil, lvgl.DISP_ROT_270)

function TableInit()
     --创建表格
     Table1 = lvgl.table_create(lvgl.scr_act(),nil)
     --设置表格为4行5列
     lvgl.table_set_row_cnt(Table1,4)
     lvgl.table_set_col_cnt(Table1,5)
     --给每个单元格赋值
     lvgl.table_set_cell_value(Table1, 0, 0, "选手")
     lvgl.table_set_cell_value(Table1, 1, 0, "1号")
     lvgl.table_set_cell_value(Table1, 2, 0, "2号")
     lvgl.table_set_cell_value(Table1, 3, 0, "3号")
     lvgl.table_set_cell_value(Table1, 0, 1, "性别")
     lvgl.table_set_cell_value(Table1, 1, 1, "男")
     lvgl.table_set_cell_value(Table1, 2, 1, "男")
     lvgl.table_set_cell_value(Table1, 3, 1, "女")
     lvgl.table_set_cell_value(Table1, 0, 2, "身高(m)")
     lvgl.table_set_cell_value(Table1, 1, 2, "180")
     lvgl.table_set_cell_value(Table1, 2, 2, "176")
     lvgl.table_set_cell_value(Table1, 3, 2, "168")
     lvgl.table_set_cell_value(Table1, 0, 3, "体重(kg)")
     lvgl.table_set_cell_value(Table1, 1, 3, "72")
     lvgl.table_set_cell_value(Table1, 2, 3, "68")
     lvgl.table_set_cell_value(Table1, 3, 3, "56")
     lvgl.table_set_cell_value(Table1, 0, 4, "星座")
     lvgl.table_set_cell_value(Table1, 1, 4, "白羊座")
     lvgl.table_set_cell_value(Table1, 2, 4, "射手座")
     lvgl.table_set_cell_value(Table1, 3, 4, "金牛座")
     --设置表格对齐方式
     lvgl.obj_align(Table1,Father,lvgl.ALIGN_IN_TOP_MID,0,0)
     --设置单元格类型
     lvgl.table_set_cell_type(Table1,0,0,3)
     lvgl.table_set_cell_type(Table1,0,1,3)
     lvgl.table_set_cell_type(Table1,0,2,3)
     lvgl.table_set_cell_type(Table1,0,3,3)
     lvgl.table_set_cell_type(Table1,0,4,3)
     --设置类型样式
     lvgl.obj_add_style(Table1,lvgl.TABLE_PART_CELL3,demo_ThemeFontStyle_PURPLE)
     --设置单元格对齐方式
     --lvgl.table_set_cell_align(Table1,0,2,lvgl.LABEL_ALIGN_RIGHT)
     --lvgl.table_set_cell_align(Table1,1,2,lvgl.LABEL_ALIGN_LEFT)
     --lvgl.table_set_cell_align(Table1,2,2,lvgl.LABEL_ALIGN_CENTER)

     --获取并显示单元格属性
     Label1 = lvgl.label_create(lvgl.scr_act(),nil)
     lvgl.label_set_text(Label1,"获取单元格(0,0)的值: "..lvgl.table_get_cell_value(Table1,0,0).."\n\n获取行数: "..lvgl.table_get_row_cnt(Table1).."\n\n获取列数: "..lvgl.table_get_col_cnt(Table1).."\n\n获取第一列的列宽: "..lvgl.table_get_col_width(Table1,0).."\n\n获取第二列的列宽: "..lvgl.table_get_col_width(Table1,1).."\n\n获取单元格(0,2)的文本对齐方式: "..lvgl.table_get_cell_align(Table1,0,2).."\n\n获取单元格(0,2)类型: "..lvgl.table_get_cell_type(Table1,0,2).."\n\n获取单元格(0,2)的裁剪属性: "..lvgl.table_get_cell_crop(Table1,0,2).."\n\n获取单元格(3,0)合并属性: "..tostring(lvgl.table_get_cell_merge_right(Table1,3,0)))
     lvgl.obj_align(Label1,nil,lvgl.LABEL_ALIGN_LEFT,-209,93)
     lvgl.obj_add_style(Label1, lvgl.LABEL_PART_MAIN, demo_ThemeStyle_IndicAndFont)

end

TableInit()

sys.init(0, 0)
sys.run()
